#!/system/bin/sh
# Please don't hardcode /magisk/modname/... ; instead, please use $MODDIR/...
# This will make your scripts compatible even if Magisk change its mount point in the future
MODDIR=${0%/*}

#!/bin/sh

sleep 20

chmod 000 /sys/devices/system/cpu/cpu0/cpufreq/cpuinfo_max_freq
chmod 000 /sys/devices/system/cpu/cpu1/cpufreq/cpuinfo_max_freq
chmod 000 /sys/devices/system/cpu/cpu2/cpufreq/cpuinfo_max_freq
chmod 000 /sys/devices/system/cpu/cpu3/cpufreq/cpuinfo_max_freq
chmod 000 /sys/devices/system/cpu/cpu4/cpufreq/cpuinfo_max_freq
chmod 000 /sys/devices/system/cpu/cpu5/cpufreq/cpuinfo_max_freq
chmod 000 /sys/devices/system/cpu/cpu6/cpufreq/cpuinfo_max_freq
chmod 000 /sys/devices/system/cpu/cpu7/cpufreq/cpuinfo_max_freq

chmod 000 /sys/devices/system/cpu/cpu0/cpu_capacity
chmod 000 /sys/devices/system/cpu/cpu1/cpu_capacity
chmod 000 /sys/devices/system/cpu/cpu2/cpu_capacity
chmod 000 /sys/devices/system/cpu/cpu3/cpu_capacity
chmod 000 /sys/devices/system/cpu/cpu4/cpu_capacity
chmod 000 /sys/devices/system/cpu/cpu5/cpu_capacity
chmod 000 /sys/devices/system/cpu/cpu6/cpu_capacity
chmod 000 /sys/devices/system/cpu/cpu7/cpu_capacity

chmod 000 /sys/devices/system/cpu/cpu0/topology/physical_package_id
chmod 000 /sys/devices/system/cpu/cpu1/topology/physical_package_id
chmod 000 /sys/devices/system/cpu/cpu2/topology/physical_package_id
chmod 000 /sys/devices/system/cpu/cpu3/topology/physical_package_id
chmod 000 /sys/devices/system/cpu/cpu4/topology/physical_package_id
chmod 000 /sys/devices/system/cpu/cpu5/topology/physical_package_id
chmod 000 /sys/devices/system/cpu/cpu6/topology/physical_package_id
chmod 000 /sys/devices/system/cpu/cpu7/topology/physical_package_id

echo 0 > /sys/devices/system/cpu/cpu0/core_ctl/enable

while [[ "$(getprop sys.boot_completed)" -ne 1 ]] && [[ ! -d "/sdcard" ]]
do
   sleep 10
done

# GED Parameter
echo "1" > /sys/module/ged/parameters/ged_smart_boost
echo "100" > /sys/module/ged/parameters/gpu_cust_upbound_freq
echo "1" > /sys/module/ged/parameters/enable_gpu_boost
echo "1" > /sys/module/ged/parameters/ged_boost_enable
echo "1" > /sys/module/ged/parameters/boost_gpu_enable
echo "1" > /sys/module/ged/parameters/ged_monitor_3D_fence_systrace
echo "15" > /sys/module/ged/parameters/g_fb_dvfs_threshold
echo "1" > /sys/module/ged/parameters/g_gpu_timer_based_emu
echo "100" > /sys/module/ged/parameters/gpu_cust_boost_freq
echo "5" > /sys/kernel/ged/hal/gpu_boost_level
echo "0" > /sys/module/ged/parameters/is_GED_KPI_enabled

# FPSGo & PNPMGR
echo "1" > /sys/pnpmgr/fpsgo_boost/boost_mode
echo "1" > /sys/pnpmgr/install
echo "1" > /sys/pnpmgr/mwn
echo "on" > /sys/kernel/fpsgo/common/force_onoff
echo "1" > /sys/module/mtk_fpsgo/parameters/bhr_opp
echo "1" > /sys/module/mtk_fpsgo/parameters/bhr_opp_l
echo "1" > /sys/module/mtk_fpsgo/parameters/boost_affinity
echo "1" > /sys/module/mtk_fpsgo/parameters/xgf_uboost
echo "90" > /sys/module/mtk_fpsgo/parameters/uboost_enhance_f
echo "1" > /sys/kernel/fpsgo/fbt/thrm_enable
echo "1" > /sys/module/mtk_fpsgo/parameters/gcc_fps_margin
echo "90" > /sys/module/mtk_fpsgo/parameters/rescue_enhance_f
echo "1" > /sys/module/mtk_fpsgo/parameters/qr_mod_frame
echo "1" > /sys/module/mtk_fpsgo/parameters/fstb_separate_runtime_enable
echo "1" > /sys/module/mtk_fpsgo/parameters/fstb_consider_deq
echo "10" > /sys/pnpmgr/fpsgo_boost/fstb/fstb_tune_quantile
echo "0" > /sys/pnpmgr/fpsgo_boost/fstb/fstb_tune_error_threshold
echo "1" > /sys/pnpmgr/fpsgo_boost/fstb/margin_mode
echo "3" > /sys/pnpmgr/fpsgo_boost/fbt/bhr_opp
echo "1" > /sys/pnpmgr/fpsgo_boost/fbt/adjust_loading
echo "1" > /sys/pnpmgr/fpsgo_boost/fbt/dyn_tgt_time_en
echo "3" > /sys/pnpmgr/fpsgo_boost/fbt/floor_opp
echo "80" > /sys/pnpmgr/fpsgo_boost/fbt/rescue_enhance_f
echo "90" > /sys/pnpmgr/fpsgo_boost/fbt/rescue_opp_c
echo "90" > /sys/pnpmgr/fpsgo_boost/fbt/rescue_opp_f
echo "100" > /sys/pnpmgr/fpsgo_boost/fbt/rescue_percent
echo "1" > /sys/pnpmgr/fpsgo_boost/fbt/ultra_rescue
echo "1" > /sys/kernel/fpsgo/xgf/xgf_trace_enable
echo "0" > /sys/kernel/fpsgo/fstb/tfps_to_powerhal_enable
echo "1" > /sys/kernel/fpsgo/fstb/set_cam_active
echo "1" > /sys/kernel/fpsgo/fbt/boost_ta

sleep 10

#Kernel
for gedh in /sys/kernel/ged/hal
    do
        echo 90 > "$gedh/gpu_boost_level"
    done

# GED Parameter (Module) 
for gedp in /sys/module/ged/parameters
    do
        echo 90 > "$gedp/ged_smart_boost"
        echo 1 > "$gedp/enable_gpu_boost"
        echo 90 > "$gedp/ged_boost_enable"
        echo 1 > "$gedp/boost_gpu_enable"
        echo 0 > "$gedp/is_GED_KPI_enabled"
        echo 1 > "$gedp/gx_game_mode"
        echo 90 > "$gedp/gx_force_cpu_boost"
        echo 90 > "$gedp/boost_amp"
        echo 90 > "$gedp/boost_extra"
        echo 0 > "$gedp/boost_gpu_enable"
        echo 1 > "$gedp/boost_cpu_enable"
        echo 90 > "$gedp/gx_force_cpu_boost"
        echo 90 > "$gedp/cpu_boost_policy"
	done